MDIO(4)

NAME
mdio - IEEE 802.3 Management Data Input/Output interface

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device mdio

DESCRIPTION
The mdio driver provides an interconnection between the Media Access Control (MAC) sublayer and Physical Layer (PHY) entities' control and status registers, as defined by the IEEE 802.3 Standard.

The mdio layer allows device drivers to share common support code for various external PHY devices.

MDIO is one of two signal interfaces that comprise the Media Independent Interface (MII) defined by the IEEE 802.3 Standard. The miibus(4) driver provides support for devices that require full MII support.

SEE ALSO
miibus(4)

STANDARDS
More information on MDIO can be found in the IEEE 802.3 Standard.

HISTORY
The mdio driver first appeared in FreeBSD 10.0.

AUTHORS
The driver was written by Stefan Bethke <stb@lassitu.de>.